Subject: bug#2530: 23/NS: redraws according to mouse-face are slow

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Wed, 06 May 2009 09:50:21 +0900

>>>>> On Tue, 5 May 2009 17:36:31 +0700, Adrian Robert <[email-masked]> said:

> That ns_update_begin() acheives the same effect suggests that
> perhaps the core mouse face code should do this (through the RIF).
> ns_draw_glyph_string() is not slow for any other operations, despite
> the fact that it is called with the same granularity
> (same-face-glyph- run) everywhere, likely because the
> update_begin()/end() batching is used.

The effect of ns_update_begin seems to avoid -[NSWindow flushWindow]
call (via ns_unfocus) for each ns_draw_glyph_string call.  Does this
frequent flushing necessary in the first place?  Other terms don't
seem to do flushing for each string drawing call.

				    YAMAMOTO Mitsuharu
				[email-masked]